﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Wisej.Web;

namespace WisejLinkButtonTest1
{
    public class LinkButton : Button
    {

		public string HRef
		{
			get { return this._href; }
			set
			{
				value = value ?? string.Empty;
				if (this._href != value)
				{
					this._href = value;
					Update();
				}
			}
		}
		private string _href = string.Empty;

		protected override void OnWebRender(dynamic config)
		{
			base.OnWebRender((object)config);

			config.className = "my.LinkButton";
			config.href = this.HRef;
		}

	}
}